<?xml version="1.1" encoding="UTF-8" standalone="no"?>
<databaseChangeLog
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
        xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-latest.xsd">
    <changeSet author="KES" id="pers-betriebskalender-unique-index" labels="0.2.0">
        <sql>
            ALTER TABLE pers_betriebskalender DROP CONSTRAINT uk_pers_betriebskalender;

            CREATE UNIQUE INDEX uk_pers_betriebskalender_mandant_datum_religion
            ON pers_betriebskalender (mandant_c_nr, t_datum, religion_i_id)
            WHERE religion_i_id IS NOT NULL;

            CREATE UNIQUE INDEX uk_pers_betriebskalender_mandant_datum_null
            ON pers_betriebskalender (mandant_c_nr, t_datum)
            WHERE religion_i_id IS NULL;
        </sql>
    </changeSet>
</databaseChangeLog>
